--- Mesa-7.8.2/src/gallium/auxiliary/util/u_format_access.py.orig	2010-06-16 03:43:42.000000000 +1000
+++ Mesa-7.8.2/src/gallium/auxiliary/util/u_format_access.py	2010-12-06 15:57:58.000000000 +1100
@@ -96,17 +96,17 @@
 
 
 def generate_srgb_tables():
-    print 'static ubyte srgb_to_linear[256] = {'
+    print ('static ubyte srgb_to_linear[256] = {')
     for i in range(256):
-        print '   %s,' % (int(math.pow((i / 255.0 + 0.055) / 1.055, 2.4) * 255))
-    print '};'
-    print
-    print 'static ubyte linear_to_srgb[256] = {'
-    print '   0,'
+        print ('   %s,' % (int(math.pow((i / 255.0 + 0.055) / 1.055, 2.4) * 255)))
+    print ('};')
+    print ('')
+    print ('static ubyte linear_to_srgb[256] = {')
+    print ('   0,')
     for i in range(1, 256):
-        print '   %s,' % (int((1.055 * math.pow(i / 255.0, 0.41666) - 0.055) * 255))
-    print '};'
-    print
+        print ('   %s,' % (int((1.055 * math.pow(i / 255.0, 0.41666) - 0.055) * 255)))
+    print ('};')
+    print ('')
 
 
 def generate_format_read(format, dst_channel, dst_native_type, dst_suffix):
@@ -116,16 +116,16 @@
 
     src_native_type = native_type(format)
 
-    print 'static void'
-    print 'util_format_%s_read_%s(%s *dst, unsigned dst_stride, const uint8_t *src, unsigned src_stride, unsigned x0, unsigned y0, unsigned w, unsigned h)' % (name, dst_suffix, dst_native_type)
-    print '{'
-    print '   unsigned x, y;'
-    print '   const uint8_t *src_row = src + y0*src_stride;'
-    print '   %s *dst_row = dst;' % dst_native_type
-    print '   for (y = 0; y < h; ++y) {'
-    print '      const %s *src_pixel = (const %s *)(src_row + x0*%u);' % (src_native_type, src_native_type, format.stride())
-    print '      %s *dst_pixel = dst_row;' %dst_native_type
-    print '      for (x = 0; x < w; ++x) {'
+    print ('static void')
+    print ('util_format_%s_read_%s(%s *dst, unsigned dst_stride, const uint8_t *src, unsigned src_stride, unsigned x0, unsigned y0, unsigned w, unsigned h)' % (name, dst_suffix, dst_native_type))
+    print ('{')
+    print ('   unsigned x, y;')
+    print ('   const uint8_t *src_row = src + y0*src_stride;')
+    print ('   %s *dst_row = dst;' % dst_native_type)
+    print ('   for (y = 0; y < h; ++y) {')
+    print ('      const %s *src_pixel = (const %s *)(src_row + x0*%u);' % (src_native_type, src_native_type, format.stride()))
+    print ('      %s *dst_pixel = dst_row;' %dst_native_type)
+    print ('      for (x = 0; x < w; ++x) {')
 
     names = ['']*4
     if format.colorspace == 'rgb':
@@ -144,7 +144,7 @@
 
     if format.layout == PLAIN:
         if not format.is_array():
-            print '         %s pixel = *src_pixel++;' % src_native_type
+            print ('         %s pixel = *src_pixel++;' % src_native_type)
             shift = 0;
             for i in range(4):
                 src_channel = format.channels[i]
@@ -157,7 +157,7 @@
                     if shift + width < format.block_size():
                         value = '(%s & 0x%x)' % (value, mask)
                     value = conversion_expr(src_channel, dst_channel, dst_native_type, value)
-                    print '         %s %s = %s;' % (dst_native_type, names[i], value)
+                    print ('         %s %s = %s;' % (dst_native_type, names[i], value))
                 shift += width
         else:
             for i in range(4):
@@ -165,8 +165,8 @@
                 if names[i]:
                     value = 'src_pixel[%u]' % i
                     value = conversion_expr(src_channel, dst_channel, dst_native_type, value)
-                    print '         %s %s = %s;' % (dst_native_type, names[i], value)
-            print '         src_pixel += %u;' % (format.nr_channels())
+                    print ('         %s %s = %s;' % (dst_native_type, names[i], value))
+            print ('         src_pixel += %u;' % (format.nr_channels()))
     else:
         assert False
 
@@ -188,14 +188,14 @@
                 value = get_one(dst_channel)
         else:
             assert False
-        print '         *dst_pixel++ = %s; /* %s */' % (value, 'rgba'[i])
+        print ('         *dst_pixel++ = %s; /* %s */' % (value, 'rgba'[i]))
 
-    print '      }'
-    print '      src_row += src_stride;'
-    print '      dst_row += dst_stride/sizeof(*dst_row);'
-    print '   }'
-    print '}'
-    print
+    print ('      }')
+    print ('      src_row += src_stride;')
+    print ('      dst_row += dst_stride/sizeof(*dst_row);')
+    print ('   }')
+    print ('}')
+    print ('')
     
 
 def generate_format_write(format, src_channel, src_native_type, src_suffix):
@@ -205,22 +205,22 @@
 
     dst_native_type = native_type(format)
 
-    print 'static void'
-    print 'util_format_%s_write_%s(const %s *src, unsigned src_stride, uint8_t *dst, unsigned dst_stride, unsigned x0, unsigned y0, unsigned w, unsigned h)' % (name, src_suffix, src_native_type)
-    print '{'
-    print '   unsigned x, y;'
-    print '   uint8_t *dst_row = dst + y0*dst_stride;'
-    print '   const %s *src_row = src;' % src_native_type
-    print '   for (y = 0; y < h; ++y) {'
-    print '      %s *dst_pixel = (%s *)(dst_row + x0*%u);' % (dst_native_type, dst_native_type, format.stride())
-    print '      const %s *src_pixel = src_row;' %src_native_type
-    print '      for (x = 0; x < w; ++x) {'
+    print ('static void')
+    print ('util_format_%s_write_%s(const %s *src, unsigned src_stride, uint8_t *dst, unsigned dst_stride, unsigned x0, unsigned y0, unsigned w, unsigned h)' % (name, src_suffix, src_native_type))
+    print ('{')
+    print ('   unsigned x, y;')
+    print ('   uint8_t *dst_row = dst + y0*dst_stride;')
+    print ('   const %s *src_row = src;' % src_native_type)
+    print ('   for (y = 0; y < h; ++y) {')
+    print ('      %s *dst_pixel = (%s *)(dst_row + x0*%u);' % (dst_native_type, dst_native_type, format.stride()))
+    print ('      const %s *src_pixel = src_row;' %src_native_type)
+    print ('      for (x = 0; x < w; ++x) {')
 
     inv_swizzle = format.inv_swizzles()
 
     if format.layout == PLAIN:
         if not format.is_array():
-            print '         %s pixel = 0;' % dst_native_type
+            print ('         %s pixel = 0;' % dst_native_type)
             shift = 0;
             for i in range(4):
                 dst_channel = format.channels[i]
@@ -230,26 +230,26 @@
                     value = conversion_expr(src_channel, dst_channel, dst_native_type, value)
                     if shift:
                         value = '(%s << %u)' % (value, shift)
-                    print '         pixel |= %s;' % value
+                    print ('         pixel |= %s;' % value)
                 shift += width
-            print '         *dst_pixel++ = pixel;'
+            print ('         *dst_pixel++ = pixel;')
         else:
             for i in range(4):
                 dst_channel = format.channels[i]
                 if inv_swizzle[i] is not None:
                     value = 'src_pixel[%u]' % inv_swizzle[i]
                     value = conversion_expr(src_channel, dst_channel, dst_native_type, value)
-                    print '         *dst_pixel++ = %s;' % value
+                    print ('         *dst_pixel++ = %s;' % value)
     else:
         assert False
-    print '         src_pixel += 4;'
+    print ('         src_pixel += 4;')
 
-    print '      }'
-    print '      dst_row += dst_stride;'
-    print '      src_row += src_stride/sizeof(*src_row);'
-    print '   }'
-    print '}'
-    print
+    print ('      }')
+    print ('      dst_row += dst_stride;')
+    print ('      src_row += src_stride/sizeof(*src_row);')
+    print ('   }')
+    print ('}')
+    print ('')
     
 
 def generate_read(formats, dst_channel, dst_native_type, dst_suffix):
@@ -259,23 +259,23 @@
         if is_format_supported(format):
             generate_format_read(format, dst_channel, dst_native_type, dst_suffix)
 
-    print 'void'
-    print 'util_format_read_%s(enum pipe_format format, %s *dst, unsigned dst_stride, const void *src, unsigned src_stride, unsigned x, unsigned y, unsigned w, unsigned h)' % (dst_suffix, dst_native_type)
-    print '{'
-    print '   void (*func)(%s *dst, unsigned dst_stride, const uint8_t *src, unsigned src_stride, unsigned x0, unsigned y0, unsigned w, unsigned h);' % dst_native_type
-    print '   switch(format) {'
+    print ('void')
+    print ('util_format_read_%s(enum pipe_format format, %s *dst, unsigned dst_stride, const void *src, unsigned src_stride, unsigned x, unsigned y, unsigned w, unsigned h)' % (dst_suffix, dst_native_type))
+    print ('{')
+    print ('   void (*func)(%s *dst, unsigned dst_stride, const uint8_t *src, unsigned src_stride, unsigned x0, unsigned y0, unsigned w, unsigned h);' % dst_native_type)
+    print ('   switch(format) {')
     for format in formats:
         if is_format_supported(format):
-            print '   case %s:' % format.name
-            print '      func = &util_format_%s_read_%s;' % (format.short_name(), dst_suffix)
-            print '      break;'
-    print '   default:'
-    print '      debug_printf("unsupported format\\n");'
-    print '      return;'
-    print '   }'
-    print '   func(dst, dst_stride, (const uint8_t *)src, src_stride, x, y, w, h);'
-    print '}'
-    print
+            print ('   case %s:' % format.name)
+            print ('      func = &util_format_%s_read_%s;' % (format.short_name(), dst_suffix))
+            print ('      break;')
+    print ('   default:')
+    print ('      debug_printf("unsupported format\\n");')
+    print ('      return;')
+    print ('   }')
+    print ('   func(dst, dst_stride, (const uint8_t *)src, src_stride, x, y, w, h);')
+    print ('}')
+    print ('')
 
 
 def generate_write(formats, src_channel, src_native_type, src_suffix):
@@ -285,24 +285,24 @@
         if is_format_supported(format):
             generate_format_write(format, src_channel, src_native_type, src_suffix)
 
-    print 'void'
-    print 'util_format_write_%s(enum pipe_format format, const %s *src, unsigned src_stride, void *dst, unsigned dst_stride, unsigned x, unsigned y, unsigned w, unsigned h)' % (src_suffix, src_native_type)
+    print ('void')
+    print ('util_format_write_%s(enum pipe_format format, const %s *src, unsigned src_stride, void *dst, unsigned dst_stride, unsigned x, unsigned y, unsigned w, unsigned h)' % (src_suffix, src_native_type))
     
-    print '{'
-    print '   void (*func)(const %s *src, unsigned src_stride, uint8_t *dst, unsigned dst_stride, unsigned x0, unsigned y0, unsigned w, unsigned h);' % src_native_type
-    print '   switch(format) {'
+    print ('{')
+    print ('   void (*func)(const %s *src, unsigned src_stride, uint8_t *dst, unsigned dst_stride, unsigned x0, unsigned y0, unsigned w, unsigned h);' % src_native_type)
+    print ('   switch(format) {')
     for format in formats:
         if is_format_supported(format):
-            print '   case %s:' % format.name
-            print '      func = &util_format_%s_write_%s;' % (format.short_name(), src_suffix)
-            print '      break;'
-    print '   default:'
-    print '      debug_printf("unsupported format\\n");'
-    print '      return;'
-    print '   }'
-    print '   func(src, src_stride, (uint8_t *)dst, dst_stride, x, y, w, h);'
-    print '}'
-    print
+            print ('   case %s:' % format.name)
+            print ('      func = &util_format_%s_write_%s;' % (format.short_name(), src_suffix))
+            print ('      break;')
+    print ('   default:')
+    print ('      debug_printf("unsupported format\\n");')
+    print ('      return;')
+    print ('   }')
+    print ('   func(src, src_stride, (uint8_t *)dst, dst_stride, x, y, w, h);')
+    print ('}')
+    print ('')
 
 
 def main():
@@ -310,15 +310,15 @@
     for arg in sys.argv[1:]:
         formats.extend(parse(arg))
 
-    print '/* This file is autogenerated by u_format_access.py from u_format.csv. Do not edit directly. */'
-    print
+    print ('/* This file is autogenerated by u_format_access.py from u_format.csv. Do not edit directly. */')
+    print ('')
     # This will print the copyright message on the top of this file
-    print __doc__.strip()
-    print
-    print '#include "pipe/p_compiler.h"'
-    print '#include "u_math.h"'
-    print '#include "u_format_pack.h"'
-    print
+    print (__doc__.strip())
+    print ('')
+    print ('#include "pipe/p_compiler.h"')
+    print ('#include "u_math.h"')
+    print ('#include "u_format_pack.h"')
+    print ('')
 
     generate_srgb_tables()
 
--- Mesa-7.8.2/src/gallium/auxiliary/util/u_format_pack.py.orig	2010-06-16 03:43:42.000000000 +1000
+++ Mesa-7.8.2/src/gallium/auxiliary/util/u_format_pack.py	2010-12-06 15:56:12.000000000 +1100
@@ -45,53 +45,53 @@
 def generate_format_type(format):
     '''Generate a structure that describes the format.'''
 
-    print 'union util_format_%s {' % format.short_name()
+    print ('union util_format_%s {' % format.short_name())
     if format.is_bitmask():
-        print '   uint%u_t value;' % (format.block_size(),)
-    print '   struct {'
+        print ('   uint%u_t value;' % (format.block_size(),))
+    print ('   struct {')
     for channel in format.channels:
         if format.is_bitmask() and not format.is_array():
             if channel.type == VOID:
                 if channel.size:
-                    print '      unsigned %s:%u;' % (channel.name, channel.size)
+                    print ('      unsigned %s:%u;' % (channel.name, channel.size))
             elif channel.type == UNSIGNED:
-                print '      unsigned %s:%u;' % (channel.name, channel.size)
+                print ('      unsigned %s:%u;' % (channel.name, channel.size))
             elif channel.type == SIGNED:
-                print '      int %s:%u;' % (channel.name, channel.size)
+                print ('      int %s:%u;' % (channel.name, channel.size))
             else:
                 assert 0
         else:
             assert channel.size % 8 == 0 and is_pot(channel.size)
             if channel.type == VOID:
                 if channel.size:
-                    print '      uint%u_t %s;' % (channel.size, channel.name)
+                    print ('      uint%u_t %s;' % (channel.size, channel.name))
             elif channel.type == UNSIGNED:
-                print '      uint%u_t %s;' % (channel.size, channel.name)
+                print ('      uint%u_t %s;' % (channel.size, channel.name))
             elif channel.type in (SIGNED, FIXED):
-                print '      int%u_t %s;' % (channel.size, channel.name)
+                print ('      int%u_t %s;' % (channel.size, channel.name))
             elif channel.type == FLOAT:
                 if channel.size == 64:
-                    print '      double %s;' % (channel.name)
+                    print ('      double %s;' % (channel.name))
                 elif channel.size == 32:
-                    print '      float %s;' % (channel.name)
+                    print ('      float %s;' % (channel.name))
                 elif channel.size == 16:
-                    print '      uint16_t %s;' % (channel.name)
+                    print ('      uint16_t %s;' % (channel.name))
                 else:
                     assert 0
             else:
                 assert 0
-    print '   } chan;'
-    print '};'
-    print
+    print ('   } chan;')
+    print ('};')
+    print ('')
 
 
 def bswap_format(format):
     '''Generate a structure that describes the format.'''
 
     if format.is_bitmask() and not format.is_array():
-        print '#ifdef PIPE_ARCH_BIG_ENDIAN'
-        print '   pixel.value = util_bswap%u(pixel.value);' % format.block_size()
-        print '#endif'
+        print ('#ifdef PIPE_ARCH_BIG_ENDIAN')
+        print ('   pixel.value = util_bswap%u(pixel.value);' % format.block_size())
+        print ('#endif')
 
 
 def is_format_supported(format):
@@ -192,16 +192,16 @@
         ('ui', 'unsigned int'),
         ('si', 'int'),
     ]:
-        print 'static INLINE %s' % native_type
-        print 'clamp%s(%s value, %s lbound, %s ubound)' % (suffix, native_type, native_type, native_type)
-        print '{'
-        print '   if(value < lbound)'
-        print '      return lbound;'
-        print '   if(value > ubound)'
-        print '      return ubound;'
-        print '   return value;'
-        print '}'
-        print
+        print ('static INLINE %s' % native_type)
+        print ('clamp%s(%s value, %s lbound, %s ubound)' % (suffix, native_type, native_type, native_type))
+        print ('{')
+        print ('   if(value < lbound)')
+        print ('      return lbound;')
+        print ('   if(value > ubound)')
+        print ('      return ubound;')
+        print ('   return value;')
+        print ('}')
+        print ('')
 
 
 def clamp_expr(src_channel, dst_channel, dst_native_type, value):
@@ -311,11 +311,11 @@
 
     src_native_type = native_type(format)
 
-    print 'static INLINE void'
-    print 'util_format_%s_unpack_%s(%s *dst, const void *src)' % (name, dst_suffix, dst_native_type)
-    print '{'
-    print '   union util_format_%s pixel;' % format.short_name()
-    print '   memcpy(&pixel, src, sizeof pixel);'
+    print ('static INLINE void')
+    print ('util_format_%s_unpack_%s(%s *dst, const void *src)' % (name, dst_suffix, dst_native_type))
+    print ('{')
+    print ('   union util_format_%s pixel;' % format.short_name())
+    print ('   memcpy(&pixel, src, sizeof pixel);')
     bswap_format(format)
 
     assert format.layout == PLAIN
@@ -339,10 +339,10 @@
                 value = get_one(dst_channel)
             elif i >= 1:
                 value = 'dst[0]'
-        print '   dst[%u] = %s; /* %s */' % (i, value, 'rgba'[i])
+        print ('   dst[%u] = %s; /* %s */' % (i, value, 'rgba'[i]))
 
-    print '}'
-    print
+    print ('}')
+    print ('')
     
 
 def generate_format_pack(format, src_channel, src_native_type, src_suffix):
@@ -352,10 +352,10 @@
 
     dst_native_type = native_type(format)
 
-    print 'static INLINE void'
-    print 'util_format_%s_pack_%s(void *dst, %s r, %s g, %s b, %s a)' % (name, src_suffix, src_native_type, src_native_type, src_native_type, src_native_type)
-    print '{'
-    print '   union util_format_%s pixel;' % format.short_name()
+    print ('static INLINE void')
+    print ('util_format_%s_pack_%s(void *dst, %s r, %s g, %s b, %s a)' % (name, src_suffix, src_native_type, src_native_type, src_native_type, src_native_type))
+    print ('{')
+    print ('   union util_format_%s pixel;' % format.short_name())
 
     assert format.layout == PLAIN
 
@@ -373,12 +373,12 @@
                 value = get_one(dst_channel)
             elif i >= 1:
                 value = '0'
-        print '   pixel.chan.%s = %s;' % (dst_channel.name, value)
+        print ('   pixel.chan.%s = %s;' % (dst_channel.name, value))
 
     bswap_format(format)
-    print '   memcpy(dst, &pixel, sizeof pixel);'
-    print '}'
-    print
+    print ('   memcpy(dst, &pixel, sizeof pixel);')
+    print ('}')
+    print ('')
     
 
 def generate_unpack(formats, dst_channel, dst_native_type, dst_suffix):
@@ -388,23 +388,23 @@
         if is_format_supported(format):
             generate_format_unpack(format, dst_channel, dst_native_type, dst_suffix)
 
-    print 'static INLINE void'
-    print 'util_format_unpack_%s(enum pipe_format format, %s *dst, const void *src)' % (dst_suffix, dst_native_type)
-    print '{'
-    print '   void (*func)(%s *dst, const void *src);' % dst_native_type
-    print '   switch(format) {'
+    print ('static INLINE void')
+    print ('util_format_unpack_%s(enum pipe_format format, %s *dst, const void *src)' % (dst_suffix, dst_native_type))
+    print ('{')
+    print ('   void (*func)(%s *dst, const void *src);' % dst_native_type)
+    print ('   switch(format) {')
     for format in formats:
         if is_format_supported(format):
-            print '   case %s:' % format.name
-            print '      func = &util_format_%s_unpack_%s;' % (format.short_name(), dst_suffix)
-            print '      break;'
-    print '   default:'
-    print '      debug_printf("unsupported format\\n");'
-    print '      return;'
-    print '   }'
-    print '   func(dst, src);'
-    print '}'
-    print
+            print ('   case %s:' % format.name)
+            print ('      func = &util_format_%s_unpack_%s;' % (format.short_name(), dst_suffix))
+            print ('      break;')
+    print ('   default:')
+    print ('      debug_printf("unsupported format\\n");')
+    print ('      return;')
+    print ('   }')
+    print ('   func(dst, src);')
+    print ('}')
+    print ('')
 
 
 def generate_pack(formats, src_channel, src_native_type, src_suffix):
@@ -414,23 +414,23 @@
         if is_format_supported(format):
             generate_format_pack(format, src_channel, src_native_type, src_suffix)
 
-    print 'static INLINE void'
-    print 'util_format_pack_%s(enum pipe_format format, void *dst, %s r, %s g, %s b, %s a)' % (src_suffix, src_native_type, src_native_type, src_native_type, src_native_type)
-    print '{'
-    print '   void (*func)(void *dst, %s r, %s g, %s b, %s a);' % (src_native_type, src_native_type, src_native_type, src_native_type)
-    print '   switch(format) {'
+    print ('static INLINE void')
+    print ('util_format_pack_%s(enum pipe_format format, void *dst, %s r, %s g, %s b, %s a)' % (src_suffix, src_native_type, src_native_type, src_native_type, src_native_type))
+    print ('{')
+    print ('   void (*func)(void *dst, %s r, %s g, %s b, %s a);' % (src_native_type, src_native_type, src_native_type, src_native_type))
+    print ('   switch(format) {')
     for format in formats:
         if is_format_supported(format):
-            print '   case %s:' % format.name
-            print '      func = &util_format_%s_pack_%s;' % (format.short_name(), src_suffix)
-            print '      break;'
-    print '   default:'
-    print '      debug_printf("%s: unsupported format\\n", __FUNCTION__);'
-    print '      return;'
-    print '   }'
-    print '   func(dst, r, g, b, a);'
-    print '}'
-    print
+            print ('   case %s:' % format.name)
+            print ('      func = &util_format_%s_pack_%s;' % (format.short_name(), src_suffix))
+            print ('      break;')
+    print ('   default:')
+    print ('      debug_printf("%s: unsupported format\\n", __FUNCTION__);')
+    print ('      return;')
+    print ('   }')
+    print ('   func(dst, r, g, b, a);')
+    print ('}')
+    print ('')
 
 
 def main():
@@ -438,19 +438,19 @@
     for arg in sys.argv[1:]:
         formats.extend(parse(arg))
 
-    print '/* This file is autogenerated by u_format_pack.py from u_format.csv. Do not edit directly. */'
-    print
+    print ('/* This file is autogenerated by u_format_pack.py from u_format.csv. Do not edit directly. */')
+    print ('')
     # This will print the copyright message on the top of this file
-    print __doc__.strip()
+    print (__doc__.strip())
 
-    print
-    print '#ifndef U_FORMAT_PACK_H'
-    print '#define U_FORMAT_PACK_H'
-    print
-    print '#include "pipe/p_compiler.h"'
-    print '#include "u_math.h"'
-    print '#include "u_format.h"'
-    print
+    print ('')
+    print ('#ifndef U_FORMAT_PACK_H')
+    print ('#define U_FORMAT_PACK_H')
+    print ('')
+    print ('#include "pipe/p_compiler.h"')
+    print ('#include "u_math.h"')
+    print ('#include "u_format.h"')
+    print ('')
 
     generate_clamp()
 
@@ -472,12 +472,12 @@
     generate_unpack(formats, channel, native_type, suffix)
     generate_pack(formats, channel, native_type, suffix)
 
-    print
-    print '#ifdef __cplusplus'
-    print '}'
-    print '#endif'
-    print
-    print '#endif /* ! U_FORMAT_PACK_H */'
+    print ('')
+    print ('#ifdef __cplusplus')
+    print ('}')
+    print ('#endif')
+    print ('')
+    print ('#endif /* ! U_FORMAT_PACK_H */')
 
 
 if __name__ == '__main__':
